
boolean v4l2_interface_destroy(int videofd);
boolean v4l2_interface_init(int *videofd);

boolean v4l2_register_preview_bufs(int videofd,  int index, void *pDim, unsigned int addr, int fd, boolean active);
boolean v4l2_unregister_preview_bufs(int videofd, void *pDim, int pmempreviewfd,  byte *prev_buf);
boolean v4l2_register_snapshot_bufs(int videofd, void *pDim, int pmemThumbnailfd,
									int pmemSnapshotfd, byte *thumbnail_buf, byte *main_img_buf);
boolean v4l2_unregister_snapshot_bufs(int videofd, void *pDim, int pmemThumbnailfd, 
									int pmemSnapshotfd, byte *thumbnail_buf, byte *main_img_buf);

boolean v4l2_start_preview(int videofd);
boolean v4l2_stop_preview(int videofd);
boolean v4l2_start_snapshot (int videofd);
boolean v4l2_stop_snapshot (int videofd);

boolean v4l2_set_dimension(int videofd, void *pDim);
boolean v4l2_set_default_params(int videofd);

boolean v4l2_get_picture (int videofd);
int v4l2_get_frame(int videofd, unsigned int* addr, unsigned int* cbcr_off, int* fd, struct timeval* ts);
boolean v4l2_put_frame(int videofd, unsigned int addr, unsigned int cbcr_off, int fd);
boolean v4l2_cameraflashcontrol (int current);
boolean v4l2_cameraflashcontrol_ex (int current, int flash_mode);
int v4l2_readregister (int register_address);